# PIVA - Photoemission Interface for Visualization and Analysis

PIVA is a graphical user interface (GUI) application built with `PyQt5` and 
`pyqtgraph` toolkits, designed for the interactive and intuitive examination 
of large image-like datasets. While it can display any multidimensional data, 
most of its functionalities are specifically tailored for users conducting 
Angle-Resolved Photoemission Spectroscopy (ARPES) experiments.

![](./docs/img/showcase.gif)

A variety of standard methods and image processing algorithms (such as 
momentum-space conversion, energy distribution curve symmetrization, and 
derivative analysis) are available directly from the GUI. Additionally, 
several utilities are particularly useful during the experimental phase when 
decisions about subsequent steps need to be made quickly. These utilities 
include automated methods for locating the highest symmetry points, azimuthal 
rotation, and autogenerated experimental notebooks. These features are 
implemented for various beamlines at different synchrotron sources around the 
world.


## Installation 

The installation of PIVA has been tested on macOS, Windows and Linux.

The easiest way to install the package is to use `pip`. Just type the following 
on a command line:

    pip install piva

or directly from this repo:

    pip install git+https://github.com/pudeIko/piva.git


## Documentation 

More details on the installation and full description of the package can be 
found on the [documentation](https://piva.readthedocs.io/en/latest/) site.
